Bug 138489 - x11-wm/icewm ACPI support patch
Summary: x11-wm/icewm ACPI support patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-02 23:50 UTC by Alexander Motin
Modified: 2009-09-08 02:40 UTC (History)
0 users

See Also:


Attachments
file.diff (9.19 KB, patch)
2009-09-02 23:50 UTC, Alexander Motin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Motin freebsd_committer 2009-09-02 23:50:06 UTC
IceWM supports power/battery indicator only for FreeBSD APM systems.
I have implemented patch which adds FreeBSD ACPI support to it also.
Patch allows to see main power parameters such as battery status, percentage,
current, status and time remaining in system tray and floating hint.

Patch was submitted upstream long ago, but without any effect till now.

Fix: Patch attached with submission follows:
Comment 1 Thomas Abthorpe freebsd_committer 2009-09-03 21:06:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-09-08 02:38:31 UTC
tabthorpe    2009-09-08 01:38:23 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/icewm         Makefile 
  Added files:
    x11-wm/icewm/files   patch-src__aapm.cc patch-src__aapm.h 
                         patch-src__wmtaskbar.cc 
  Log:
  - Add ACPI support for FreeBSD
  - Bump PORTREVISION
  
  PR:             ports/138489
  Submitted by:   mav
  Approved by:    maintainer implicit
  
  Revision  Changes    Path
  1.144     +1 -1      ports/x11-wm/icewm/Makefile
  1.1       +269 -0    ports/x11-wm/icewm/files/patch-src__aapm.cc (new)
  1.1       +9 -0      ports/x11-wm/icewm/files/patch-src__aapm.h (new)
  1.1       +10 -0     ports/x11-wm/icewm/files/patch-src__wmtaskbar.cc (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2009-09-08 02:38:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!